summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2011-08-07 03:27:32 (GMT)
committerJames Meyer <james.meyer@operamail.com>2011-08-07 03:27:32 (GMT)
commit8ce168b0cd19dabd922ff13e6f71d6ec1954873e (patch)
tree22814f03a213ce7282267f186106270035a7872d /abs
parentbb28351257e0c04a78fc266564f78376f8ea6310 (diff)
parentdeda8d8b725dceeecd6074a5999bc5dd1b151747 (diff)
downloadlinhes_pkgbuild-8ce168b0cd19dabd922ff13e6f71d6ec1954873e.zip
linhes_pkgbuild-8ce168b0cd19dabd922ff13e6f71d6ec1954873e.tar.gz
linhes_pkgbuild-8ce168b0cd19dabd922ff13e6f71d6ec1954873e.tar.bz2
Merge branch 'testing' of ssh://jams@linhes.org/mount/repository/linhes_pkgbuild into testing
Diffstat (limited to 'abs')
-rw-r--r--abs/core/perl_modules/perl-javascript/PKGBUILD37
-rw-r--r--abs/core/perl_modules/perl-sub-uplevel/PKGBUILD22
-rw-r--r--abs/core/perl_modules/perl-test-exception/PKGBUILD26
-rw-r--r--abs/core/tzdata/PKGBUILD10
-rw-r--r--abs/core/tzdata/chile.patch65
5 files changed, 74 insertions, 86 deletions
diff --git a/abs/core/perl_modules/perl-javascript/PKGBUILD b/abs/core/perl_modules/perl-javascript/PKGBUILD
index 564e2d9..615d90d 100644
--- a/abs/core/perl_modules/perl-javascript/PKGBUILD
+++ b/abs/core/perl_modules/perl-javascript/PKGBUILD
@@ -1,23 +1,28 @@
pkgname=perl-javascript
-_realname=JavaScript
-pkgver=1.12
+pkgver=1.16
pkgrel=2
-pkgdesc="get name of current working directory"
-arch=('i686' 'x86_64')
-url="http://search.cpan.org/~KWILLIAMS/Path-Class"
-
+pkgdesc="Perl extension for executing embedded JavaScript"
+depends=('perl>=5.10.0' 'glibc' 'perl-test-exception' 'js' 'xulrunner' 'nspr')
license=('GPL' 'PerlArtistic')
-depends=('perl>=5.10.0' spidermonkey)
-options=('!emptydirs')
+url="http://search.cpan.org/dist/JavaScript/"
source=(http://search.cpan.org/CPAN/authors/id/C/CL/CLAESJAC/JavaScript-$pkgver.tar.gz)
-#source=(http://search.cpan.org/CPAN/authors/id/T/TB/TBUSCH/JavaScript-SpiderMonkey-0.19.tar.gz)
-groups=('shepherd-dep')
-build() {
- cd $startdir/src/$_realname-$pkgver
- JS_INC=/usr/include/js PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+options=('!emptydirs')
+arch=(i686 x86_64)
+
+build()
+{
+ cd ${srcdir}/JavaScript-$pkgver
+
+ # dirty hack to pass the correct includes to the script
+ export JS_THREADSAFE=1 JS_UTF8=1 JS_ENABLE_E4X=1 JS_INC="/usr/include/js -I/usr/include/xulrunner-1.9.2 -I/usr/include/nspr"
+ perl Makefile.PL INSTALLDIRS=vendor || return 1
make || return 1
- make install DESTDIR=$startdir/pkg || return 1
- find $startdir/pkg -name '.packlist' -delete
- find $startdir/pkg -name '*.pod' -delete
+ make DESTDIR=${pkgdir} install || return 1
+
+ # Remove .packlist and perllocal.pod files.
+ find ${pkgdir} -name '.packlist' -delete
+ find ${pkgdir} -name 'perllocal.pod' -delete
+
}
+md5sums=('c3c4a744e0a5018b94f53341baa18df7')
diff --git a/abs/core/perl_modules/perl-sub-uplevel/PKGBUILD b/abs/core/perl_modules/perl-sub-uplevel/PKGBUILD
new file mode 100644
index 0000000..4f3d53d
--- /dev/null
+++ b/abs/core/perl_modules/perl-sub-uplevel/PKGBUILD
@@ -0,0 +1,22 @@
+# Contributor: Francois Charette <firmicus@gmx.net>
+
+pkgname=perl-sub-uplevel
+pkgver=0.22
+pkgrel=1
+pkgdesc="apparently run a function in a higher stack frame "
+arch=('any')
+url="http://search.cpan.org/dist/Sub-Uplevel"
+license=('GPL' 'PerlArtistic')
+depends=('perl')
+options=('!emptydirs')
+source=(http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Sub-Uplevel-$pkgver.tar.gz)
+md5sums=('c166738a97c0424a0075ebe205d285db')
+
+build() {
+ cd $startdir/src/Sub-Uplevel-$pkgver
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make install DESTDIR=$startdir/pkg || return 1
+ find $startdir/pkg -name '.packlist' -delete
+ find $startdir/pkg -name '*.pod' -delete
+}
diff --git a/abs/core/perl_modules/perl-test-exception/PKGBUILD b/abs/core/perl_modules/perl-test-exception/PKGBUILD
new file mode 100644
index 0000000..ccf2bc6
--- /dev/null
+++ b/abs/core/perl_modules/perl-test-exception/PKGBUILD
@@ -0,0 +1,26 @@
+# This PKGBUILD was autocreated. See http://xtermin.us/archperl/ for details
+# Maintainer: Charles Mauch <cmauch@gmail.com>
+
+pkgname=perl-test-exception
+pkgver=0.31
+pkgrel=1
+pkgdesc="Perl/CPAN Module Test::Exception : Functions for testing exceptionbased code"
+arch=("any")
+url="http://search.cpan.org/~adie/"
+license=("GPL" "Artistic")
+makedepends=("perl-sub-uplevel")
+depends=("perl-sub-uplevel")
+source=("http://search.cpan.org/CPAN/authors/id/A/AD/ADIE/Test-Exception-$pkgver.tar.gz")
+md5sums=('adb57ca7614d15e5b307bf5e024b35a8')
+
+build() {
+ cd $srcdir/Test-Exception-$pkgver
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+ make
+}
+package() {
+ cd $srcdir/Test-Exception-$pkgver
+ make install DESTDIR=$pkgdir
+ find $pkgdir -name '.packlist' -delete
+ find $pkgdir -name '*.pod' -delete
+}
diff --git a/abs/core/tzdata/PKGBUILD b/abs/core/tzdata/PKGBUILD
index 17d0d3c..dcedbd5 100644
--- a/abs/core/tzdata/PKGBUILD
+++ b/abs/core/tzdata/PKGBUILD
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD 121182 2011-04-29 06:58:28Z andyrtr $
+# $Id: PKGBUILD 130868 2011-07-08 14:35:26Z andyrtr $
# Maintainer: Andreas Radke <andyrtr@archlinux.org>
pkgname=tzdata
pkgver=2011h
-pkgrel=1
+pkgrel=2
_tzcode=2011g
_tzdata=2011h
pkgdesc="Sources for time zone and daylight saving time data"
@@ -17,6 +17,9 @@ options=('!emptydirs')
source=(ftp://elsie.nci.nih.gov/pub/tzcode${_tzcode}.tar.gz \
ftp://elsie.nci.nih.gov/pub/${pkgname}${_tzdata}.tar.gz \
Makefile.patch)
+md5sums=('ecb564279b28c5b184421c525d997d6c'
+ '546d27b6c1e5e1097bd512651815017f'
+ 'a64ed97d1fc03c66ee8612c0d9f40507')
build() {
cd ${srcdir}
@@ -40,6 +43,3 @@ package() {
rm "${pkgdir}/usr/share/zoneinfo/localtime"
}
-md5sums=('ecb564279b28c5b184421c525d997d6c'
- '546d27b6c1e5e1097bd512651815017f'
- 'a64ed97d1fc03c66ee8612c0d9f40507')
diff --git a/abs/core/tzdata/chile.patch b/abs/core/tzdata/chile.patch
deleted file mode 100644
index 38c389c..0000000
--- a/abs/core/tzdata/chile.patch
+++ /dev/null
@@ -1,65 +0,0 @@
-------- southamerica -------
-*** southamerica Wed Mar 5 14:40:25 2008
---- southamerica Wed Mar 5 14:40:25 2008
-***************
-*** 1,4 ****
-! # @(#)southamerica 8.15
- # <pre>
-
- # This data is by no means authoritative; if you think you know better,
---- 1,4 ----
-! # @(#)southamerica 8.18
- # <pre>
-
- # This data is by no means authoritative; if you think you know better,
-***************
-*** 759,764 ****
---- 759,784 ----
- # America/Santiago. The pre-1980 Pacific/Easter data are dubious,
- # but we have no other source.
-
-+ # From German Poo-Caaman~o (2008-03-03):
-+ # Due to drought, Chile extends Daylight Time in three weeks. This
-+ # is one-time change (Saturday 3/29 at 24:00 for America/Santiago
-+ # and Saturday 3/29 at 22:00 for Pacific/Easter)
-+ # The Supreme Decree is located at
-+ # <a href="http://www.shoa.cl/servicios/supremo316.pdf">
-+ # http://www.shoa.cl/servicios/supremo316.pdf
-+ # </a>
-+ # and the instructions for 2008 are located in:
-+ # <a href="http://www.horaoficial.cl/cambio.htm">
-+ # http://www.horaoficial.cl/cambio.htm
-+ # </a>.
-+
-+ # From José Miguel Garrido (2008-03-05):
-+ # ...
-+ # You could see the announces of the change on
-+ # <a href="http://www.shoa.cl/noticias/2008/04hora/hora.htm">
-+ # http://www.shoa.cl/noticias/2008/04hora/hora.htm
-+ # </a>.
-+
- # Rule NAME FROM TO TYPE IN ON AT SAVE LETTER/S
- Rule Chile 1927 1932 - Sep 1 0:00 1:00 S
- Rule Chile 1928 1932 - Apr 1 0:00 0 -
-***************
-*** 789,795 ****
- Rule Chile 1998 only - Sep 27 4:00u 1:00 S
- Rule Chile 1999 only - Apr 4 3:00u 0 -
- Rule Chile 1999 max - Oct Sun>=9 4:00u 1:00 S
-! Rule Chile 2000 max - Mar Sun>=9 3:00u 0 -
- # IATA SSIM anomalies: (1992-02) says 1992-03-14;
- # (1996-09) says 1998-03-08. Ignore these.
- # Zone NAME GMTOFF RULES FORMAT [UNTIL]
---- 809,819 ----
- Rule Chile 1998 only - Sep 27 4:00u 1:00 S
- Rule Chile 1999 only - Apr 4 3:00u 0 -
- Rule Chile 1999 max - Oct Sun>=9 4:00u 1:00 S
-! Rule Chile 2000 2007 - Mar Sun>=9 3:00u 0 -
-! # N.B.: the end of March 29 in Chile is March 30 in Universal time,
-! # which is used below in specifying the transition.
-! Rule Chile 2008 only - Mar 30 3:00u 0 -
-! Rule Chile 2009 max - Mar Sun>=9 3:00u 0 -
- # IATA SSIM anomalies: (1992-02) says 1992-03-14;
- # (1996-09) says 1998-03-08. Ignore these.
- # Zone NAME GMTOFF RULES FORMAT [UNTIL]
-